Subject: [Tsvwg] Re: [SCTP]Congestion Control Parameters

From: Qiaobing Xie <[email-masked]>
Date: Mon, 28 Oct 2002 12:54:42 -0600

Andrea,

Andrea Senatore wrote:
> 
> Hi to all,
> I have a confusion on Section 7.1 of RFC 2960......
> 
> <SNIP>
> SCTP is designed to establish robust communication associations between
> two endpointeach of which may be reachableby more than one transport
> address. Potentially different addresses may lead to different data
> *paths* between the two endpoints, thus ideally one may need a
                                          ^^^^^^^^^^^^^^^
Consider this a note for the future research on SCTP. Ideally, it makes
a lot of sense in theory that CC be performed on a per-path basis, but
no one knows how to achieve this without adding crippling complexity to
the protocol. So, the current SCTP per-dest-addr based CC is a design
compromise or simplification.

-Qiaobing

> *separate* set of congestion control parameters for each of the *paths*.
> <SNIP>
> ......
> <SNIP>
> The sender keeps a separate congestion control parameter set for each of
> the destination address it can send to (*not* for each
> source-destination *pair* but for each *destination*).
> <SNIP>
> 
> I don't understand.... "one need a *separate* set of congestion control
> parameters for each of the *path*, and then keeps this set *only* for
> each destination address".
> CWND, RTO, RTT, etc., depend upon used path and *not* upon destination
> address.
> When host send packets through a different interface but at same
> destination address this parameters must change because the path change...
> 
> Best rgds
> 
> -- Andrea
> ========================================================
> Andrea Senatore,
> Mail:    [email-masked],
> Address: CoRiTeL c/o Università degli Studi di Salerno,
>          Facoltà di Ingegneria,  via Ponte Don Melillo,
>          84084 - FISCIANO (SA) - Italy
> Tel:     +39 089 964012
> Fax:     +39 089 964010
> ========================================================
_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Andrea Senatore <[email-masked]>
Date: Mon, 28 Oct 2002 10:38:48 +0100

Hi to all,

<SNIP>

Best rgds

-- Andrea